Summary: 	A GTK frontend for CUPS
Name: 		gtklp
Version: 	1.2.5
Release: 	%mkrel 4
License: 	GPLv2+
Group: 		System/Configuration/Printing
Source0: 	http://prdownloads.sourceforge.net/gtklp/%{name}-%{version}.src.tar.bz2
Url: 		http://www.stud.uni-hannover.de/~sirtobi/gtklp/
Source1: 	gtklp-icon48.png
Source2: 	gtklp-icon32.png
Source3: 	gtklp-icon16.png
Patch0:		gtklp-1.2.2-simple.diff
BuildRequires: 	cups-common
BuildRequires:  gtk+2-devel
BuildRequires: 	cups-devel > 1.1
Requires: 	cups > 1.1
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
A GTK frontend for CUPS

%prep

%setup -q
%patch -p1

mkdir -p Mandriva
cp %{SOURCE1} Mandriva/gtklp-icon48.png
cp %{SOURCE2} Mandriva/gtklp-icon32.png
cp %{SOURCE3} Mandriva/gtklp-icon16.png

%build

%configure2_5x

%make

%install
rm -fr %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}

%makeinstall

# menu entry
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Categories=HardwareSettings;Settings;GTK;
Name=GTK CUPS
Comment=GTK Frontend for CUPS
Exec=%{_bindir}/gtklp
Icon=gtklp
EOF

cat << EOF > %buildroot%{_datadir}/applications/mandriva-gtklpq.desktop
[Desktop Entry]
Type=Application
Categories=HardwareSettings;Settings;GTK;
Name=GTK Printer Queue
Comment=GTK Frontend to GTKlp CUPS Queue
Exec=%{_bindir}/gtklpq
Icon=gtklp
EOF

# menu icon
install -m0644 Mandriva/gtklp-icon48.png %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 Mandriva/gtklp-icon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 Mandriva/gtklp-icon16.png %{buildroot}%{_miconsdir}/%{name}.png

# locales
%find_lang %name

%if %mdkversion < 200900
%post 
%update_menus
%endif

%if %mdkversion < 200900
%postun 
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(0644,root,root)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO USAGE
%{_bindir}/*
%{_datadir}/applications/mandriva-*.desktop
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man1/*


%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.5-4mdv2009.0
+ Revision: 246695
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 1.2.5-2mdv2008.1
+ Revision: 158578
- add more category for desktop entry

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 1.2.5-1mdv2008.1
+ Revision: 158563
- update to new version 1.2.5

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 1.2.2-3mdv2008.1
+ Revision: 157807
- rebuild

* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-2mdv2008.1
+ Revision: 141904
- auto-convert XDG menu entry
- s/BuildPrereq/BuildRequires/
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Austin Acton <austin@mandriva.org>
    - Import gtklp



* Thu Sep 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2
- sync with mille-xterm

* Thu Jun 01 2006 Jerome Soyer <saispo@mandriva.org> 1.2.2-1mdv2007.0
- New release 1.2.2

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-2mdk
- Fix BuildRequires

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 1.2.1-1mdk
- New release 1.2.1

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 1.1.1-1mdk
- New release 1.1.1

* Thu Jan 05 2005 Lenny Cartier <lenny@mandriva.com> 1.1.0-1mdk
- 1.1.0

* Wed Nov 17 2004 Austin Acton <austin@mandrake.org> 1.0-1mdk
- 1.0
- quiet, configure 2.5, source URL

* Tue May 18 2004 Austin Acton <austin@mandrake.org> 0.9s-1mdk
- 0.9s

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.9p-1mdk
- 0.9p
- cleanup spec
- fix some grammar

* Fri Jun 27 2003 Lenny Cartier <lenny@mandrakesoft.com 0.9n-1mdk
- 0.9p

* Thu Apr 03 2003 Lenny Cartier <lenny@mandrakesoft.com 0.9m-1mdk
- 0.9m

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.9k-4mdk
- rebuild

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9k-3mdk
- fix gtklpq menu

* Wed Jul 24 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.9k-2mdk
- update buildrequires

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9k-1mdk
- macros
- in spec menus
- fix files section
- png icons
- fix group
- from Austin Acton <aacton@yorku.ca> :
	-initial package creation for MDK 8.2
	-stole spec from author Tobias Mueller <sirtobi@stud.uni-hannover.de>
	-added Mandrake Menu items
